%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-TraitsGUI
Version:        3.0.4
Release:        5%{?dist}
Summary:        Traits-capable windowing framework

Group:          Development/Libraries
# Source code is under BSD but images are under different licenses
# and details are inside image_LICENSE.txt
License:        BSD and EPL and LGPLv2 and LGPLv3 and Public Domain
URL:            http://pypi.python.org/pypi/TraitsGUI
Source0:        http://pypi.python.org/packages/source/T/TraitsGUI/TraitsGUI-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools, python-setupdocs
Requires:       python-TraitsBackendQt

%description
The TraitsGUI project contains a toolkit-independent GUI abstraction layer
(known as Pyface), which is used to support the "visualization" features of
the Traits package.

%prep
%setup -q -n TraitsGUI-%{version}
rm -rf TraitsGUI.egg-info
sed -i 's/\r//' image_*.txt examples/workbench/example_workbench_window.py \
 examples/workbench/images/image_LICENSE.txt examples/workbench/person.py \
 examples/workbench/example_workbench_window.py examples/dock/images/image_LICENSE.txt \
 examples/workbench/example_workbench.py examples/images/image_LICENSE.txt
iconv -f iso8859-1 -t utf-8 image_LICENSE_OOo.txt > image_LICENSE_OOo.txt.conv \
 && mv -f image_LICENSE_OOo.txt.conv image_LICENSE_OOo.txt
iconv -f iso8859-1 -t utf-8 image_LICENSE_Eclipse.txt > image_LICENSE_Eclipse.txt.conv \
 && mv -f image_LICENSE_Eclipse.txt.conv image_LICENSE_Eclipse.txt

chmod -x examples/workbench/black_view.py examples/workbench/blue_view.py \
 examples/workbench/red_view.py examples/workbench/yellow_view.py \
 examples/workbench/green_view.py


%build
python setup.py build


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc *.txt examples
%{python_sitelib}/*


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 08 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.0.4-4
- Fixed BR: python-setupdocs

* Mon Jun 08 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.0.4-3
- fixed wrong-file-end-of-line-encoding & spurious-executable-perm
- for files in examples folder

* Sun May 24 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.0.4-2
- Included examples folder in %%doc
- Changed %%define to %%global and changes %%{__python} to python

* Sat May 02 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.0.4-1
- Updated to 3.0.4

* Sat May 02 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.0.3-2
- Removed egg-info folder already present, removed %%{version}
- from URL.

* Tue Jan 27 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.0.3-2
- Fixed BuildRequires

* Tue Jan 27 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.0.3-1
- Initial package
